%define modname gearman
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A95_%{modname}.ini

Summary:	Gearman API for PHP
Name:		php-%{modname}
Version:	0.6.0
Release:	%mkrel 1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/gearman
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	dos2unix
BuildRequires:	gearman-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This extension uses libgearman library to provide API for communicating with
gearmand, and writing clients and workers.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix -U

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

# fix version
perl -pi -e "s|#define PHP_GEARMAN_VERSION \"0\.5\.0\"|#define PHP_GEARMAN_VERSION \"%{version}\"|g" php_gearman.h

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix} \

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog CREDITS README examples test_client.php test_worker.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdv2010.0
+ Revision: 452825
- 0.6.0
- the format string error was fixed upstream, drop P0

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-2mdv2010.0
+ Revision: 451271
- rebuild

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdv2010.0
+ Revision: 406382
- readded P0 as upstream missed this in my patch, heh...
- 0.5.0
- drop the string format patch, added upstream

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 0.4.0-2mdv2010.0
+ Revision: 397527
- Rebuild

* Wed Jul 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.4.0-1mdv2010.0
+ Revision: 393466
- P0: fix build with -Werror=format-security (from upstream cvs)
- import php-gearman


* Sun Jul 05 2009 Oden Eriksson <oeriksson@mandriva.org> 0.4.0-1mdv2009.0
- initial Mandriva package
